%global eclipse_dropins %{_datadir}/eclipse/dropins
%global build_base      build-sites/aggregate/local-site/.m2/org/jboss/tools/
%global rls_tag         Final

# Comma separated list of all modules that we're currently building (in order)
%global tools parent,common,usage,archives,jmx,runtime,as,jst,cdi,ws,freemarker

Name:           eclipse-jbosstools
Version:        4.0.0
Release:        1%{?dist}
Summary:        Eclipse plugins that support JBoss and related technology

Group:          Development/Tools

# For mult. license info, see https://community.jboss.org/thread/158037
License:        EPL and LGPLv2+ and ASL 2.0
URL:            http://www.jboss.org/tools.html

# Steps to create this are found in create-tarball.sh
Source0:        %{name}-%{version}.%{rls_tag}-CLEAN.tar.xz

Source1:        LICENSE-2.0.txt
Source2:        lgpl-2.1.txt
Source3:        create-tarball.sh

# feature.xml patch to remove 'requires' section - fails because of the way we
# have wtp packages set up currently - not all have same qualifier.
Patch10:        %{name}-ws-rm-requires.patch

# fix classpath entry to unversioned freemarker.jar (symlinked from _javadir)
Patch12:        %{name}-freemarker-4.0.0.patch

# Update refs from old bundled deps in archives, to symlinked deps from Fedora
Patch14:        %{name}-archives-core-manifest-4.0.0.patch
Patch15:        %{name}-archives-core-buildproperties-4.0.0.patch

# Migrate to from obselete to current version of TrueZip dependency
Patch16:        %{name}-archives-core-trueziputil-4.0.0.patch
Patch17:        %{name}-archives-core-modeltruezipbridge.patch
Patch18:        %{name}-archives-core-archivesbuilder.patch
Patch19:        %{name}-as-archives.webtools-4.0.0.patch

# Update refs from old bundled deps in AS, to symlinked deps from Fedora
Patch21:        %{name}-as.dmr-4.0.0.patch
Patch22:        %{name}-as.core.patch
Patch23:        %{name}-as.mgmt.as71-4.0.0.patch

BuildArch:      noarch

BuildRequires:  ant >= 1.8.4
BuildRequires:  ant-contrib >= 1.0
BuildRequires:  apache-commons-codec >= 1.6
BuildRequires:  axis >= 1.4-16
BuildRequires:  dom4j >= 1.6.1-8
BuildRequires:  eclipse-dtp >= 1.10
BuildRequires:  eclipse-emf-core >= 2.8.1
BuildRequires:  eclipse-gef >= 3.8.0
BuildRequires:  eclipse-jdt >= 4.2.2
BuildRequires:  eclipse-pde >= 4.2.2
BuildRequires:  eclipse-platform >= 4.2.2
BuildRequires:  eclipse-rse >= 3.4
BuildRequires:  eclipse-swt >= 4.2.2
BuildRequires:  eclipse-wtp-common >= 3.4.0
BuildRequires:  eclipse-wtp-jeetools >= 3.4.0
BuildRequires:  eclipse-wtp-jpa >= 3.4.0
BuildRequires:  eclipse-wtp-jsf >= 3.4.1
BuildRequires:  eclipse-wtp-jst-web >= 3.4.0
BuildRequires:  eclipse-wtp-servertools >= 3.4.0
BuildRequires:  eclipse-wtp-webservices >= 3.4.0
BuildRequires:  eclipse-wtp-sourceediting >= 3.4.0
BuildRequires:  gnu-getopt >= 1.0.13
BuildRequires:  icu4j-eclipse >= 4.4.2.2
BuildRequires:  jacoco-maven-plugin
BuildRequires:  jakarta-commons-httpclient >= 3.1
BuildRequires:  java-devel
BuildRequires:  jaxen >= 1.1.3
BuildRequires:  jboss-as >= 7.1.1-3
BuildRequires:  jboss-dmr >= 1.1.1
BuildRequires:  jpackage-utils
BuildRequires:  maven
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-install-plugin
BuildRequires:  maven-javadoc-plugin
BuildRequires:  maven-release-plugin
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-surefire-plugin
BuildRequires:  maven-resources-plugin
BuildRequires:  resteasy >= 2.3.2-7
BuildRequires:  truezip-driver-zip >= 7.6.6
BuildRequires:  truezip-file >= 7.6.6
BuildRequires:  tycho
BuildRequires:  tycho-extras
BuildRequires:  velocity >= 1.7-4
BuildRequires:  xerces-j2 >= 2.11.0-11

Requires:       java
Requires:       jpackage-utils

Requires:       %{name}-archives = %{version}-%{release}
Requires:       %{name}-as = %{version}-%{release}
Requires:       %{name}-cdi = %{version}-%{release}
Requires:       %{name}-common = %{version}-%{release}
Requires:       %{name}-freemarker = %{version}-%{release}
Requires:       %{name}-jmx = %{version}-%{release}
Requires:       %{name}-jst = %{version}-%{release}
Requires:       %{name}-parent = %{version}-%{release}
Requires:       %{name}-runtime = %{version}-%{release}
Requires:       %{name}-usage = %{version}-%{release}
Requires:       %{name}-ws = %{version}-%{release}

%description
JBoss Tools is an umbrella project for a set of Eclipse plugins that supports
JBoss and related technology; there is support for Hibernate, JBoss AS, Drools, 
jBPM, JSF, (X)HTML, Seam, Maven, JBoss ESB, JBoss Portal and more...

%package        parent
Summary:        JBoss Tools Parent
Requires:       jpackage-utils

%description parent
Parent and target-platform POM files for %{name} package.

%package        common
Summary:        JBoss Tools common Eclipse tools

Requires:       %{name}-parent = %{version}-%{release}
Requires:       eclipse-gef
Requires:       eclipse-jdt
Requires:       eclipse-platform
Requires:       eclipse-pde
Requires:       eclipse-swt
Requires:       eclipse-wtp-common
Requires:       eclipse-wtp-jeetools
Requires:       eclipse-wtp-jpa
Requires:       eclipse-wtp-sourceediting
Requires:       jakarta-commons-httpclient
Requires:       java
Requires:       jpackage-utils
Requires:       xerces-j2

%description common
Common functionality on which other plugins and features from
%{name} depend.

%package        jmx
Summary:        Eclipse tools for interacting with JMX connections

Requires:       %{name}-parent = %{version}-%{release}
Requires:       eclipse-platform
Requires:       eclipse-swt
Requires:       java
Requires:       jpackage-utils

%description jmx
JBoss JMX Tools allows you to setup multiple JMX connections, and provides a
view for exploring the JMX tree and execute operations directly from within
Eclipse.

%package        archives
Summary:        JBoss Archives Tools

Requires:       %{name}-as = %{version}-%{release}
Requires:       %{name}-jmx = %{version}-%{release}
Requires:       %{name}-parent = %{version}-%{release}
Requires:       %{name}-usage = %{version}-%{release}
Requires:       ant
Requires:       eclipse-emf-core
Requires:       eclipse-jdt
Requires:       eclipse-pde
Requires:       eclipse-platform
Requires:       eclipse-swt
Requires:       eclipse-wtp-common
Requires:       eclipse-wtp-servertools
Requires:       java
Requires:       jpackage-utils
Requires:       truezip-driver-file
Requires:       truezip-file

%description archives
Project Archives provides a way to define archives based on include/exclude
filesets which then gets incrementally updated allowing for fluent
deployment for any type of Eclipse project.

%package        usage
Summary:        JBoss Tools Usage Reporting

Requires:       %{name}-parent = %{version}-%{release}
Requires:       eclipse-platform
Requires:       eclipse-swt
Requires:       java
Requires:       jpackage-utils

%description usage
JBoss Tools Usage reporting provides an anonymous opt-in call-back mechanism
that can be used to see how widely used plugins are, which plugin installations
have been done, where in the world and what versions of operating system, java
and other information that is available.

%package        as
Summary:        JBossAS Tools

Requires:       %{name}-archives = %{version}-%{release}
Requires:       %{name}-common = %{version}-%{release}
Requires:       %{name}-jmx = %{version}-%{release}
Requires:       %{name}-parent = %{version}-%{release}
Requires:       %{name}-usage = %{version}-%{release}
Requires:       ant
Requires:       dom4j
Requires:       eclipse-emf-core
Requires:       eclipse-jdt
Requires:       eclipse-pde
Requires:       eclipse-platform
Requires:       eclipse-rse
Requires:       eclipse-swt
Requires:       eclipse-wtp-common
Requires:       eclipse-wtp-jeetools
Requires:       eclipse-wtp-servertools
Requires:       gnu-getopt
Requires:       icu4j-eclipse
Requires:       java
Requires:       jaxen
Requires:       jboss-as
Requires:       jboss-dmr
Requires:       jpackage-utils

%description as
Provides WTP server adapters for JBoss installations. These adapters are 
capable of deployment and providing classpaths for projects. Zipped or
exploded deployments, JMX integration, and other extensions are included.

%package        jst
Summary:        JBoss Tools Java Standard Tools

Requires:       %{name}-common = %{version}-%{release}
Requires:       %{name}-parent = %{version}-%{release}
Requires:       %{name}-usage = %{version}-%{release}
Requires:       ant
Requires:       eclipse-dtp
Requires:       eclipse-gef
Requires:       eclipse-jdt
Requires:       eclipse-platform
Requires:       eclipse-swt
Requires:       eclipse-wtp-jeetools
Requires:       eclipse-wtp-jst-web
Requires:       eclipse-wtp-sourceediting
Requires:       java
Requires:       jpackage-utils
Requires:       velocity
Requires:       xerces-j2

%description jst
JBoss Tools Java Standard Tools provides common tools for use in JBoss Tools
other plugins, such as Knowledge Base builder and validators for use in JSF/Web
projects.

%package        ws
Summary:        JBoss WebServices Tools and JBoss JAX-RS Tools

Requires:       %{name}-as = %{version}-%{release}
Requires:       %{name}-common = %{version}-%{release}
Requires:       %{name}-parent = %{version}-%{release}
Requires:       %{name}-usage = %{version}-%{release}
Requires:       apache-commons-codec
Requires:       axis
Requires:       eclipse-emf-core
Requires:       eclipse-emf-xsd
Requires:       eclipse-jdt
Requires:       eclipse-platform
Requires:       eclipse-swt
Requires:       eclipse-wtp-common
Requires:       eclipse-wtp-jeetools
Requires:       eclipse-wtp-jsf
Requires:       eclipse-wtp-webservices
Requires:       icu4j-eclipse
Requires:       java
Requires:       jdom
Requires:       jpackage-utils
Requires:       resteasy
Requires:       wsdl4j


%description ws
JBoss WebServices Tools provides wizards for working with webservices
and a webservice tester view to test out both SOAP and REST services.

JBoss JAX-RS Tools provides a common navigator to browse and introspect
your JAX-RS endpoints and provide validation for JAX-RS annotations, such
as checking that parameters referenced by name actually also are declared.

%package        cdi
Summary:        JBoss CDI Tools, Apache Deltasipke Tools, Seam 3 Tools

Requires:       %{name}-common = %{version}-%{release}
Requires:       %{name}-jst = %{version}-%{release}
Requires:       %{name}-parent = %{version}-%{release}
Requires:       %{name}-usage = %{version}-%{release}
Requires:       ant
Requires:       eclipse-gef
Requires:       eclipse-jdt
Requires:       eclipse-platform
Requires:       eclipse-swt
Requires:       eclipse-wtp-common
Requires:       eclipse-wtp-jeetools
Requires:       eclipse-wtp-jsf
Requires:       eclipse-wtp-sourceediting
Requires:       java
Requires:       jpackage-utils
Requires:       xerces-j2

%description cdi
Context and Dependency Injection Tools provides support for JSR-299 also know
as CDI. Adds wizards, code navigation, validation and quickfixes to work with
projects that uses CDI.

Apache Deltasipke Tools provides tooling for the CDI components released as
part of Deltaspike modules.

Seam 3 Tools provides tooling for the CDI components released as part of
Seam 3 modules such as Solder and Config. Tooling covers recognizing
these CDI components and editing the seam config xml.

%package        freemarker
Summary:        FreeMarker IDE

Requires:       %{name}-parent = %{version}-%{release}
Requires:       %{name}-usage = %{version}-%{release}
Requires:       eclipse-jdt
Requires:       eclipse-platform
Requires:       eclipse-swt
Requires:       freemarker
Requires:       java
Requires:       jpackage-utils

%description freemarker
FreeMarkerIDE provides editor for FreeMarker templates

%package        runtime
Summary:        JBoss Runtime Detection

Requires:       %{name}-as = %{version}-%{release}
Requires:       eclipse-dtp
Requires:       eclipse-platform
Requires:       eclipse-swt
Requires:       eclipse-wtp-common
Requires:       java
Requires:       jpackage-utils

%description runtime
JBoss Runtime Detection


%prep
%setup -q -n %{name}-%{version}.%{rls_tag}-CLEAN

cp %{SOURCE1} %{SOURCE2} .

find -name '*.jar' -delete
find -name '*.class' -delete

# add symlinks to Fedora versions of removed jars
pushd server/archives/plugins/org.jboss.ide.eclipse.archives.core/lib/
ln -s %{_javadir}/truezip/truezip-driver-file.jar
ln -s %{_javadir}/truezip/truezip-driver-zip.jar
ln -s %{_javadir}/truezip/truezip-file.jar
ln -s %{_javadir}/truezip/truezip-kernel.jar
popd
pushd server/as/plugins/org.jboss.ide.eclipse.as.dmr/
ln -s %{_javadir}/jboss-dmr.jar
popd
pushd server/as/plugins/org.jboss.ide.eclipse.as.core/
ln -s %{_javadir}/dom4j.jar
ln -s %{_javadir}/jaxen.jar
ln -s %{_javadir}/gnu-getopt.jar
popd
pushd server/as/plugins/org.jboss.ide.eclipse.as.management.as71/
ln -s %{_javadir}/jboss-as/jboss-as-controller-client.jar
ln -s %{_javadir}/jboss-as/jboss-as-protocol.jar
ln -s %{_javadir}/jboss-dmr.jar
ln -s %{_javadir}/jboss-logging.jar
ln -s %{_javadir}/jboss-marshalling.jar
ln -s %{_javadir}/jboss-remoting.jar
ln -s %{_javadir}/jboss-sasl.jar
ln -s %{_javadir}/jboss-threads.jar
ln -s %{_javadir}/xnio-api.jar
ln -s %{_javadir}/xnio-nio.jar
popd
pushd webservices/plugins/org.jboss.tools.ws.ui/lib/
ln -s %{_javadir}/axis/axis.jar
ln -s %{_javadir}/axis/jaxrpc.jar
ln -s %{_javadir}/resteasy/jaxrs-api.jar
popd
pushd freemarker/plugins/org.jboss.ide.eclipse.freemarker/
ln -s %{_javadir}/freemarker.jar
popd

#Fix relative locations of parent POM in certain places
%pom_xpath_remove "pom:parent/pom:relativePath" build-sites/aggregate
%pom_xpath_inject "pom:parent" \
                  "<relativePath>../../build/parent/pom.xml</relativePath>" \
                  build-sites/aggregate

%pom_xpath_remove "pom:parent/pom:relativePath" base
%pom_xpath_inject "pom:parent" \
                  "<relativePath>../build/parent/pom.xml</relativePath>" \
                  base

%pom_xpath_remove "pom:parent/pom:relativePath" freemarker
%pom_xpath_inject "pom:parent" \
                  "<relativePath>../build/parent/pom.xml</relativePath>" \
                  freemarker

%pom_xpath_remove "pom:parent/pom:relativePath" javaee
%pom_xpath_inject "pom:parent" \
                  "<relativePath>../build/parent/pom.xml</relativePath>" \
                  javaee

%pom_xpath_remove "pom:parent/pom:relativePath" jst
%pom_xpath_inject "pom:parent" \
                  "<relativePath>../build/parent/pom.xml</relativePath>" \
                  jst

%pom_xpath_remove "pom:parent/pom:relativePath" server
%pom_xpath_inject "pom:parent" \
                  "<relativePath>../build/parent/pom.xml</relativePath>" \
                  server

# Disable modules that fail to build
## build-site/aggregate/local-site
%pom_disable_module ../../../openshift build-sites/aggregate/local-site
%pom_disable_module ../../../gwt build-sites/aggregate/local-site
%pom_disable_module ../../../forge build-sites/aggregate/local-site
%pom_disable_module ../../../hibernate build-sites/aggregate/local-site
%pom_disable_module ../../../birt build-sites/aggregate/local-site
%pom_disable_module ../../../xulrunner build-sites/aggregate/local-site
%pom_disable_module ../../../portlet build-sites/aggregate/local-site
%pom_disable_module ../../../central build-sites/aggregate/local-site
%pom_disable_module ../../../vpe build-sites/aggregate/local-site
## base
%pom_disable_module site base
%pom_disable_module tests base
%pom_disable_module tests base/common
%pom_disable_module tests base/runtime
%pom_disable_module tests base/usage
%pom_disable_module org.jboss.tools.common.mylyn base/common/plugins
%pom_disable_module org.jboss.tools.common.mylyn.test base/common/tests
%pom_disable_module org.jboss.tools.common.mylyn.feature base/common/features
%pom_disable_module org.jboss.tools.common.all.test.feature base/common/features
%pom_disable_module org.jboss.tools.usage.test.feature base/usage/features
%pom_disable_module org.jboss.tools.runtime.test.feature base/runtime/features
## server
%pom_disable_module site server
%pom_disable_module tests server/archives
%pom_disable_module org.jboss.ide.eclipse.archives.test.feature server/archives/features
%pom_disable_module tests server/jmx
%pom_disable_module org.jboss.tools.jmx.test.feature server/jmx/features
%pom_disable_module tests server/as
%pom_disable_module org.jboss.ide.eclipse.as.test.feature server/as/features
## jst
%pom_disable_module site jst
%pom_disable_module tests jst
%pom_disable_module org.jboss.tools.jst.test.feature jst/features
## webservices
%pom_disable_module site webservices
%pom_disable_module tests webservices
%pom_disable_module org.jboss.tools.ws.test.feature webservices/features
## javaee
%pom_disable_module jsf javaee
%pom_disable_module seam javaee
%pom_disable_module struts javaee
%pom_disable_module site javaee
%pom_disable_module tests javaee/cdi
%pom_disable_module tests javaee/seam
%pom_disable_module org.jboss.tools.cdi.test.feature javaee/cdi/features
%pom_disable_module org.jboss.tools.cdi.seam.test.feature javaee/cdi/features
%pom_disable_module org.jboss.tools.cdi.deltaspike.test.feature javaee/cdi/features
## freemarker
%pom_disable_module site freemarker
%pom_disable_module tests freemarker
%pom_disable_module org.jboss.ide.eclipse.freemarker.test.feature freemarker/features

%patch10
%patch12
%patch14
%patch15
%patch16
%patch17
%patch18
%patch19
%patch21
%patch22
%patch23

# Add Fedora version to OSGi version qualifier
%pom_xpath_remove pom:project/pom:build/pom:plugins/pom:plugin/pom:configuration/pom:format build/parent
%pom_xpath_inject pom:project/pom:build/pom:plugins/pom:plugin/pom:configuration "<format>'v'yyyyMMdd-HHmm'-\${BUILD_ALIAS}-F%{fedora}'</format>" build/parent

# Set tycho version to 0.16.0-SNAPSHOT in build/parent/pom.xml
sed -i -e 's|<tychoVersion>0.15.0</tychoVersion>|<tychoVersion>0.16.0-SNAPSHOT</tychoVersion>|g' build/parent/pom.xml


%build
# Build everything from within build
pushd build-sites/aggregate/local-site
  mvn-rpmbuild -f ../../../build/parent/pom.xml install \
               -Dlocal.site=file:.m2/p2/repo
  mvn-rpmbuild install -Dno-target-platform -X -Dmaven.local.debug=true \
               -Dlocal.site=file:.m2/p2/repo
popd


%install
install -d -m 755 %{buildroot}%{_mavenpomdir}

pushd %{build_base}

# parent POM
pushd parent/*-SNAPSHOT/
  install -pm 644 parent-*.pom \
    %{buildroot}%{_mavenpomdir}/JPP-%{name}-parent.pom
  %add_maven_depmap JPP-%{name}-parent.pom -f parent
popd

for tool in common usage archives jmx as jst cdi ws freemarker runtime; do
  install -d -m 755 %{buildroot}%{eclipse_dropins}/%{name}-${tool}/eclipse/features
  install -d -m 755 %{buildroot}%{eclipse_dropins}/%{name}-${tool}/eclipse/plugins

  ## POM for each tool
  pushd ${tool}/*-SNAPSHOT
    install -pm 644 ${tool}-*.pom \
      %{buildroot}%{_mavenpomdir}/JPP-%{name}-${tool}.pom
    %add_maven_depmap JPP-%{name}-${tool}.pom -f ${tool}
    popd

  ## features
  pushd ${tool}/features
    for feat in `echo *.feature`; do
      pushd ${feat}/*-SNAPSHOT
        unzip ${feat}-*-SNAPSHOT.jar -d \
         %{buildroot}%{eclipse_dropins}/%{name}-${tool}/eclipse/features/${feat}
      popd;
    done;
  popd

  ##plugins
  pushd ${tool}/plugins
    for plug in `echo org.jboss.*`; do
      pushd ${plug}/*-SNAPSHOT
        install -p ${plug}-*-SNAPSHOT.jar \
          %{buildroot}%{eclipse_dropins}/%{name}-${tool}/eclipse/plugins
      popd;
    done;
  popd;

done;

  # org.jboss.tools.jst.web.kb is in jst/tests, but we need it
  install -p jst/tests/org.jboss.tools.jst.web.kb/*-SNAPSHOT/*-SNAPSHOT.jar \
    %{buildroot}%{eclipse_dropins}/%{name}-jst/eclipse/plugins

popd;

%files

%files parent
%{_mavenpomdir}/JPP-%{name}-parent.pom
%{_mavendepmapfragdir}/%{name}-parent
 
%files common
%doc lgpl-2.1.txt
%doc base/tests/features/org.jboss.tools.test.feature/epl-v10.html
%{eclipse_dropins}/%{name}-common
%{_mavenpomdir}/JPP-%{name}-common.pom
%{_mavendepmapfragdir}/%{name}-common

%files usage
%doc LICENSE-2.0.txt
%doc base/tests/features/org.jboss.tools.test.feature/epl-v10.html
%{eclipse_dropins}/%{name}-usage
%{_mavenpomdir}/JPP-%{name}-usage.pom
%{_mavendepmapfragdir}/%{name}-usage

%files archives
%doc lgpl-2.1.txt
%{eclipse_dropins}/%{name}-archives
%{_mavenpomdir}/JPP-%{name}-archives.pom
%{_mavendepmapfragdir}/%{name}-archives

%files jmx
%doc base/tests/features/org.jboss.tools.test.feature/epl-v10.html
%{eclipse_dropins}/%{name}-jmx
%{_mavenpomdir}/JPP-%{name}-jmx.pom
%{_mavendepmapfragdir}/%{name}-jmx

%files as
%{eclipse_dropins}/%{name}-as
%{_mavenpomdir}/JPP-%{name}-as.pom
%{_mavendepmapfragdir}/%{name}-as

%files jst
%{eclipse_dropins}/%{name}-jst
%{_mavenpomdir}/JPP-%{name}-jst.pom
%{_mavendepmapfragdir}/%{name}-jst

%files cdi
%{eclipse_dropins}/%{name}-cdi
%{_mavenpomdir}/JPP-%{name}-cdi.pom
%{_mavendepmapfragdir}/%{name}-cdi

%files ws
%doc lgpl-2.1.txt
%{eclipse_dropins}/%{name}-ws
%{_mavenpomdir}/JPP-%{name}-ws.pom
%{_mavendepmapfragdir}/%{name}-ws

%files freemarker
%doc lgpl-2.1.txt
%{eclipse_dropins}/%{name}-freemarker
%{_mavenpomdir}/JPP-%{name}-freemarker.pom
%{_mavendepmapfragdir}/%{name}-freemarker

%files runtime
%{eclipse_dropins}/%{name}-runtime
%{_mavenpomdir}/JPP-%{name}-runtime.pom
%{_mavendepmapfragdir}/%{name}-runtime


%changelog
* Tue Oct 16 2012 Gerard Ryan <galileo@fedoraproject.org> - 4.0.0-1
- Update to upstream 4.0.0.Final
- Add script create-tarball.sh to create source tarball from Git.
- Update locations for symlinked jars and POM macros.
- Remove unnecessary pom macros.

* Tue Oct 16 2012 Gerard Ryan <galileo@fedoraproject.org> - 4.0.0-0.2
- Update to tag jbosstools-4.0.0.Alpha2.
- Add subpackage runtime, necessary for 'as' subpackage.
- Shorten summary line.
- Rebase patches 14, 15, 16, 21, 23; append -4.0.0 to patch name.
- Remove patches 13, 20.
- Remove dependency on jbossxb.

* Mon Oct 08 2012 Gerard Ryan <galileo@fedoraproject.org> - 3.3.1-5
- Build as a noarch package.

* Tue Sep 04 2012 Gerard Ryan <galileo@fedoraproject.org> - 3.3.1-4
- Add Fedora version to OSGi version qualifier.

* Fri Aug 11 2012 Gerard Ryan <galileo@fedoraproject.org> - 3.3.1-3
- Make build process more efficient & remove -Dmaven.test.skip option.
- Use pom macros, and remove patches that are no longer necessary.
- Add tests module to tarball.
- Add apache-commons-codec as BR.

* Thu Jul 26 2012 Gerard Ryan <galileo@fedoraproject.org> - 3.3.1-2
- Fix license field and install license files.
- Use a clean tarball to reduce srpm size.
- Use spaces consistently; add some necessary comments.

* Thu Jul 26 2012 Gerard Ryan <galileo@fedoraproject.org> - 3.3.1-1
- Initial packaging.
